For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Manage API keysIdeogram
  • Ideogram API
    • API Overview
    • API Setup
    • Account API Page
    • API Pricing
    • API Status
  • Tutorials
    • Custom Model Training
  • API Reference
    • POSTGenerate with Ideogram 4.0
    • POSTRemix with Ideogram 4.0
    • POSTGenerate a Magic Prompt with Ideogram 4.0
    • POSTDescribe with Ideogram 4.0
    • POSTGenerate with Ideogram 3.0
    • POSTGenerate with Ideogram 3.0 (Transparent Background)
    • POSTInpaint with Ideogram 3.0
    • POSTRemix with Ideogram 3.0
    • POSTReframe with Ideogram 3.0
    • POSTReplace Background with Ideogram 3.0
    • POSTRemove Background
    • POSTLayerize Text
    • POSTEdit images with a prompt
    • POSTUpscale
    • POSTDescribe
    • POSTGenerate (legacy)
    • POSTEdit with Ideogram 3.0 (legacy)
    • POSTEdit (legacy)
    • POSTRemix (legacy)
    • POSTReframe (legacy)
  • Custom Model Training
    • GETList datasets
    • POSTCreate a new dataset
    • GETGet a dataset
    • POSTUpload assets to a dataset
    • POSTTrain a custom Ideogram v3 model
    • GETList models
    • GETGet model details
LogoLogo
LogoLogo
Manage API keysIdeogram
Custom Model Training

Get model details

GET
https://api.ideogram.ai/models/:model_id
GET
/models/:model_id
$curl https://api.ideogram.ai/models/model_id \
> -H "Api-Key: <apiKey>"
1{
2 "model": {
3 "model_id": "model_id",
4 "name": "name",
5 "status": "CREATING",
6 "creation_time": "2000-01-23 04:56:07+00:00",
7 "is_available_for_generation": true,
8 "is_owned": true,
9 "custom_model_uri": "model/my-custom-model/version/1",
10 "dataset_id": "dataset_id",
11 "last_update_time": "2000-01-23 04:56:07+00:00"
12 }
13}
Get detailed information about a specific custom model. The user must either own the model or the model must be shared with the user's organization via the model registry. Returns 404 if the model is not found or not accessible.
Was this page helpful?
Previous
Built with

Authentication

Api-Keystring

API key for access control. Use in the header with the name “Api-Key”

Path parameters

model_idstringRequired

Response

Model retrieved successfully
modelobject
A custom model.

Errors

401
Unauthorized Error
404
Not Found Error